Subject: Re: bug#12797: 24.3.50; mml-atttach-file (C-c C-a) and ido
From: Leo Liu <[email-masked]>
To: Jambunathan K <[email-masked]>
Cc: [email-masked]
Date: Tue, 09 Jul 2013 12:06:29 +0800
List-Id: <debbugs-submit.debbugs.gnu.org>

On 2012-11-06 13:20 +0800, Jambunathan K wrote:
> Thanks for the suggestion.  I now have this in my customizations.
>
>   (custom-set-variables
>    '(ido-everywhere t)
>    '(ido-mode (quote both) nil (ido)))
>
> Retrospectively, I see that choice of `everywhere' is unfortunate.  It
> is ambiguous.  So a `both' in `ido-mode' is not the same as
> `everywhere'.  The "somewhere" - which is reading file names, as opposed
> to visiting it etc - is what everywhere accounts for but both leaves
> out.
>
> A user is very unlikely to note subtle differences.
>
> I have hard time understanding what (ido-everywhere) does. 
>
> My recommedation is to have `ido-everywhere' set to t by default or be
> set automatically (via a custom set function) whenever `ido-mode' is
> changed.
>
> ps: I still don't understand everywhere means.  So I will leave the
> proposed change to others.

There are some cleanups to do in ido. But let's leave them for later.

Leo